GET
/smart-transfers/preauthorizationsList preauthorizations
Recovers all created preauthorizations
Parameters
Query Parameters
| Name | Type |
|---|---|
pageSize | number (double) |
page | number (double) |
Responses
200Retrieve a list of all preauthorizations
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]
List of preauthorizations
itemsobject
Smart transfer preauthorization
Example response
json
{
"page": 0,
"total": 0,
"totalPages": 0,
"results": [
{
"id": "string",
"status": "COMPLETED",
"consentUrl": "string",
"clientPreauthorizationId": "string",
"callbackUrls": {},
"recipients": [
{
"type": "BANK_ACCOUNT",
"id": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
"name": "Conta empresa",
"taxNumber": "12345678900",
"paymentInstitution": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "Banco J. Safra S.A.",
"ispb": "03017677",
"tradeName": "Banco Safra",
"compe": "074",
"createdAt": "2020-04-21T15:00:00.000Z",
"updatedAt": "2020-04-21T15:00:00.000Z"
},
"account": {
"branch": "0001",
"number": "123456",
"type": "CHECKING_ACCOUNT"
},
"isDefault": false,
"pixKey": null,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}
],
"connector": {
"id": 601,
"name": "Itaú",
"primaryColor": "EC7000",
"institutionUrl": "https://www.itau.com.br",
"country": "BR",
"type": "PERSONAL_BANK",
"credentials": [
{
"validation": "^\\d{3}\\.?\\d{3}\\.?\\d{3}-?\\d{2}$",
"validationMessage": "CPF deve ter 11 números.",
"label": "CPF",
"name": "cpf",
"type": "number",
"placeholder": "",
"optional": false
}
],
"imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/201.svg",
"hasMFA": false,
"oauth": true,
"health": {
"status": "ONLINE",
"stage": null
},
"products": [
"ACCOUNTS",
"TRANSACTIONS",
"IDENTITY",
"CREDIT_CARDS",
"PAYMENT_DATA",
"LOANS",
"INVESTMENTS"
],
"createdAt": "2023-09-01T18:05:09.145Z",
"isSandbox": false,
"isOpenFinance": true,
"updatedAt": "2024-07-16T15:34:08.028Z",
"supportsPaymentInitiation": true,
"supportsScheduledPayments": true,
"supportsSmartTransfers": true,
"supportsBoletoManagement": true,
"supportsAutomaticPix": true
},
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z",
"configuration": {
"totalAllowedAmount": 0,
"transactionLimit": 0,
"periodicLimits": null
},
"errorDetail": {
"code": "string",
"description": "string",
"detail": "string"
}
}
]
}Code Examples
bash
curl -X GET 'https://api.pluggy.ai/smart-transfers/preauthorizations' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Try It
Query Parameters
